
Name: qdvdauthor
Version: 0.0.9
Release: alt1

%define qdvdauthor_dir %name-%version
%define dvd_slideshow dvd-slideshow_0.6.0

Summary: The GUI frontend for dvdauthor and other related tools
License: GPL
Group: Video
Url: http://sourceforge.net/projects/qdvdauthor/
Packager: Alex Yustasov <yust@altlinux.ru>

Source0: %name-%version.tar.gz
Source1: %dvd_slideshow.tar.gz
Source2: %name.menu

Patch1: %name-%version-alt-configure.patch

BuildRequires: libxine-devel libnetpbm-devel libImageMagick-devel liblame
BuildRequires: bzlib-devel libqt3-devel glibc-devel freetype2-devel
BuildRequires: libjpeg-devel libpng3-devel libtiff-devel libxml2-devel
BuildRequires: zlib-devel gcc-c++ dvdauthor mjpegtools libmjpegtools-devel

Requires: dvdauthor >= 0.6.10 bzip2 ImageMagick lame
Requires: mjpegtools libqt3 glibc libgcc freetype2 libjpeg
Requires: libpng libtiff libxml2 >= 2.6 zlib sox libxine
Requires: netpbm vorbis-tools

%description
qdvdauthor is a gui frontend for using dvdauthor and dvd-slideshow 
scripts to easily build DVD menus and assemble the DVD VOB files. 
This package includes %dvd_slideshow in the installation.

%prep
%setup -b 1
%patch1

%build
./configure --prefix=$RPM_BUILD_ROOT/usr/share --qt-dir=/usr/lib/qt3 \
	    --build-qplayer --build-qslideshow

%install
%__mkdir -p $RPM_BUILD_ROOT{%_bindir,%_man1dir,%_menudir}
%__mkdir -p $RPM_BUILD_ROOT{%_datadir/pixmaps,%_datadir/applications,%_datadir/%name}

%__install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name
%__install -m 0755 $RPM_BUILD_DIR/%qdvdauthor_dir/bin/qdvdauthor \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%qdvdauthor_dir/bin/qslideshow \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%qdvdauthor_dir/bin/qplayer \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%dvd_slideshow/dvd-slideshow \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%dvd_slideshow/dvd-menu \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%dvd_slideshow/gallery2slideshow \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%dvd_slideshow/jigl2slideshow \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0755 $RPM_BUILD_DIR/%dvd_slideshow/dir2slideshow \
	$RPM_BUILD_ROOT%_bindir
%__install -m 0644 $RPM_BUILD_DIR/%dvd_slideshow/man/dvd-slideshow.1 \
	$RPM_BUILD_ROOT%_man1dir
%__install -m 0644 $RPM_BUILD_DIR/%dvd_slideshow/man/dvd-menu.1 \
	$RPM_BUILD_ROOT%_man1dir
%__install -m 0644 $RPM_BUILD_DIR/%dvd_slideshow/man/dir2slideshow.1 \
	$RPM_BUILD_ROOT%_man1dir
%__install -m 0644 $RPM_BUILD_DIR/%dvd_slideshow/man/gallery2slideshow.1 \
	$RPM_BUILD_ROOT%_man1dir
%__install -m 0644 $RPM_BUILD_DIR/%dvd_slideshow/man/jigl2slideshow.1 \
	$RPM_BUILD_ROOT%_man1dir
%__install -m 0644 $RPM_BUILD_DIR/%qdvdauthor_dir/qdvdauthor.png \
	$RPM_BUILD_ROOT%_datadir/pixmaps
%__install -m 0644 $RPM_BUILD_DIR/%qdvdauthor_dir/qdvdauthor.desktop \
	$RPM_BUILD_ROOT%_datadir/applications
%__install -m 0644 $RPM_BUILD_DIR/%qdvdauthor_dir/qdvdauthor/i18n/*.qm \
	$RPM_BUILD_ROOT%_datadir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_man1dir/*
%_menudir/*
%_datadir/%name
%_datadir/pixmaps/qdvdauthor.png
%_datadir/applications/qdvdauthor.desktop
%doc README TODO COPYING CHANGELOG

%changelog
* Wed Dec 22 2004 Alex Yustasov <yust@altlinux.ru> 0.0.9-alt1
- initial release
